API referenceQuotes
Read a quote by id
GET
id*stringFormat
uuidapplication/json- response
code*numberHTTP status code
message*stringHuman-readable message
data?Response payload
metadata?errors?array<string>Validation errors, when the request was rejected
curl -X GET 'https://api.landedfx.com/api/v1/quotes/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "message": "string", "metadata": { "page": 1, "limit": 20, "totalDocs": 42, "prevPage": null, "nextPage": 2, "totalPages": 3 }, "errors": [ "string" ], "code": 200, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "from": "KES:mpesa", "to": "USDC:base", "amountIn": "150000", "amountOut": "1146.27", "effectiveRate": "0.0076418", "idealAmountOut": "string", "allInBps": 42.7, "route": { "summary": "Buy USDT on Binance P2P → Withdraw on BNB Chain → Swap via NEAR Intents", "venue": "string", "network": "tron", "amountOut": "1146.27", "effectiveRate": "0.0076418", "allInBps": 42.7, "steps": [ { "kind": "p2p_buy", "venue": "binance", "title": "Buy USDT on Binance P2P", "detail": "MONSTER_OG_LEGACY at 130.48 KES/USDT via M-PESA Kenya (Safaricom) · 99.1% completion, 950 orders", "amountIn": "150000", "assetIn": "KES", "amountOut": "1149.601471", "assetOut": "USDT", "costBps": 31.4, "executable": true, "meta": {} } ] }, "alternatives": [ { "summary": "Buy USDT on Binance P2P → Withdraw on BNB Chain → Swap via NEAR Intents", "venue": "string", "network": "tron", "amountOut": "1146.27", "effectiveRate": "0.0076418", "allInBps": 42.7, "steps": [ { "kind": "p2p_buy", "venue": "binance", "title": "Buy USDT on Binance P2P", "detail": "MONSTER_OG_LEGACY at 130.48 KES/USDT via M-PESA Kenya (Safaricom) · 99.1% completion, 950 orders", "amountIn": "150000", "assetIn": "KES", "amountOut": "1149.601471", "assetOut": "USDT", "costBps": 31.4, "executable": true, "meta": {} } ] } ], "confidence": { "level": "high", "reasons": [ "string" ] }, "legs": [ { "side": "buy", "currency": "KES", "rail": "mpesa", "midRate": 0, "usableAds": 0, "consideredAds": 0, "screenedAds": 0, "adsInBestFill": 0, "excluded": {}, "depthSpreadBps": 0 } ], "warnings": [ "string" ], "latencyMs": 0, "expiresAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }}